Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.event
Interface KnowledgeBaseListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  KnowledgeBaseAdapter

    public interface KnowledgeBaseListener

extends EventListener

Interface for notification of knowledge-base events The frame that has been added or removed from the knowledge-base is available through the KnowledgeBaseEvent.getFrame() call. Note that this interface does not get events that occur when the slot values change, for example. To get events that occur on an individual instance you need to attach a listener to that instance.

Author:
  Ray Fergerson

Method Summary
`void` | `clsCreated(KnowledgeBaseEvent event)`
`void` | `clsDeleted(KnowledgeBaseEvent event)`
`void` | `defaultClsMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `defaultFacetMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `defaultSlotMetaClsChanged(KnowledgeBaseEvent event)`
`void` | `facetCreated(KnowledgeBaseEvent event)`
`void` | `facetDeleted(KnowledgeBaseEvent event)`
`void` | `frameNameChanged(KnowledgeBaseEvent event)` This method should be called frameReplaced().
`void` | `instanceCreated(KnowledgeBaseEvent event)`
`void` | `instanceDeleted(KnowledgeBaseEvent event)`
`void` | `slotCreated(KnowledgeBaseEvent event)`
`void` | `slotDeleted(KnowledgeBaseEvent event)`

Method Detail

### clsCreated

    void clsCreated(KnowledgeBaseEvent event)

### clsDeleted

    void clsDeleted(KnowledgeBaseEvent event)

### defaultClsMetaClsChanged

    void defaultClsMetaClsChanged(KnowledgeBaseEvent event)

### defaultFacetMetaClsChanged

    void defaultFacetMetaClsChanged(KnowledgeBaseEvent event)

### defaultSlotMetaClsChanged

    void defaultSlotMetaClsChanged(KnowledgeBaseEvent event)

### facetCreated

    void facetCreated(KnowledgeBaseEvent event)

### facetDeleted

    void facetDeleted(KnowledgeBaseEvent event)

### frameNameChanged

    void frameNameChanged(KnowledgeBaseEvent event)

  This method should be called frameReplaced(). Its name cannot be changed for backwards compatibility reasons. The closest thing in Protege frames to a rename frame operation is a replace frame operation where a frame is deleted and a new frame is created which is identical to the original except for the name. When this happens the following method is called.

  Parameters:
    `event` -

### instanceCreated

    void instanceCreated(KnowledgeBaseEvent event)

### instanceDeleted

    void instanceDeleted(KnowledgeBaseEvent event)

### slotCreated

    void slotCreated(KnowledgeBaseEvent event)

### slotDeleted

    void slotDeleted(KnowledgeBaseEvent event)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.